aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/lib (follow)
Commit message (Expand)AuthorAgeFilesLines
* libotputil: updating otputil_otp_code() to use S/KEY if seed is NULL.David M. Syzdek2023-01-121-9/+12
* libotputil: renaming member otp_method to util_method in 'struct _otputil_sec...David M. Syzdek2023-01-122-8/+8
* libotputil: renaming member otp_desc to util_desc in 'struct _otputil_secret'David M. Syzdek2023-01-122-11/+11
* libotputil: adding otputil_skey_code() and otputil_skey_str()David M. Syzdek2023-01-122-0/+89
* libotputil: updating otputil_otp_code() to support SHA1/SHA256/SHA512David M. Syzdek2023-01-121-22/+14
* libotputil: adding processing for OTPUTIL_MD_MD5 in otputil_otp_code()David M. Syzdek2023-01-121-0/+4
* libotputil: fixing seed processing in otputil_otp_code()David M. Syzdek2023-01-121-7/+12
* libotputil: fixing checks in otputil_otp_code()David M. Syzdek2023-01-121-27/+47
* libotputil: adding otputil_otp_str()David M. Syzdek2023-01-112-0/+36
* libotputil: adding otputil_otp_code()David M. Syzdek2023-01-113-0/+175
* libotputil: renaming lrfc2289-otp.c to lrfc2289-otp-dict.cDavid M. Syzdek2023-01-112-6/+6
* autotools: adding checks for EVP_sha3_256() and EVP_sha3_512()David M. Syzdek2023-01-111-0/+8
* libotputil: removing unused variable in otputil_otp_decode()David M. Syzdek2023-01-111-2/+0
* libotputil: adding support for six-word encoding in otputil_otp_decode()David M. Syzdek2023-01-111-2/+292
* libotputil: fixing logic in otputil_md2str()David M. Syzdek2023-01-111-1/+1
* libotputil: fixing NULL dereferencing in otputil_skey_cmp()David M. Syzdek2023-01-111-0/+2
* libotputil: defining OTPUTIL_MD_NONEDavid M. Syzdek2023-01-111-0/+1
* libotputil: adding otputil_evp_md()David M. Syzdek2023-01-112-0/+27
* libotputil: fixing mappings in otputil_md_list[]David M. Syzdek2023-01-111-2/+2
* libotputil: refactoring otputil_otp_decode_hex()David M. Syzdek2023-01-101-43/+58
* libotputil: adjusting commentsDavid M. Syzdek2023-01-102-4/+11
* libotputil: refactoring otputil_otp_encode_word()David M. Syzdek2023-01-101-13/+16
* libotputil: adding otputil_skey_dict_value()David M. Syzdek2023-01-102-0/+71
* libotputil: adding otputil_skey_dict_word()David M. Syzdek2023-01-103-0/+116
* libotputil: adding placeholders for lrfc6238-totp.cDavid M. Syzdek2023-01-102-0/+92
* libotputil: renaming lotp-rfc2289.c to lrfc2289-otp.cDavid M. Syzdek2023-01-102-6/+6
* libotputil: renaming lskey-rfc1760-dict.c to lrfc1760-skey-dict.cDavid M. Syzdek2023-01-104-8/+8
* libotputil: renaming lhotp.c to lrfc4226-hotp.cDavid M. Syzdek2023-01-103-7/+7
* libotputil: renaming otputil_dict_rfc1760 to otputil_skey_rfc1760_dictDavid M. Syzdek2023-01-104-14/+14
* libotputil: renaming lotp.c to lotp-rfc2289.cDavid M. Syzdek2023-01-105-14/+14
* libotputil: adjusting whitespaceDavid M. Syzdek2023-01-101-1/+1
* libotputil: adding otputil_compat.hDavid M. Syzdek2023-01-101-0/+2
* libotputil: moving core functions to lcore.cDavid M. Syzdek2023-01-102-12/+51
* libotputil: moving HOTP (RFC 4226)/TOTP (RFC 6238) functions to lhotp.cDavid M. Syzdek2023-01-103-187/+300
* libotputil: exporting defaults variablesDavid M. Syzdek2023-01-102-3/+23
* libotputil: moving miscellaneous functions to lmisc.cDavid M. Syzdek2023-01-104-107/+221
* libotputil: moving OTP (RFC 2289) functionsDavid M. Syzdek2023-01-103-361/+472
* libotputil: adding ldict-rfc1760.hDavid M. Syzdek2023-01-104-11/+60
* libotputil: moving berval functions to separate source filesDavid M. Syzdek2023-01-093-155/+255
* libotputil: cleaning up libotputil.symDavid M. Syzdek2023-01-091-6/+0
* libotputil: adding stub for otputil_otp_decode()David M. Syzdek2023-01-092-2/+72
* libotputil: adding otputil_bvcmp()David M. Syzdek2023-01-092-0/+40
* libotputil: adding otputil_otp_encode()David M. Syzdek2023-01-092-0/+248
* libotputil: adding otputil_otp_encode_len()David M. Syzdek2023-01-092-0/+22
* libotputil: adding otputil_otp_decode_len()David M. Syzdek2023-01-092-0/+27
* libotputil: adjusting commentsDavid M. Syzdek2023-01-092-9/+9
* libotputil: separating members hotp_k and totp_k in 'struct _otputil_secret'David M. Syzdek2023-01-092-5/+43
* libotputil: updating commentsDavid M. Syzdek2023-01-091-0/+6
* libotputil: removing otputil_param_k()David M. Syzdek2023-01-091-28/+14
* libotputil: re-ordering switch statement in otputil_code()David M. Syzdek2023-01-091-3/+3